######################################################
## Movie Jukebox default properties
##
## YOU SHOULD NOT CHANGE ANY SETTINGS IN THIS FILE
## 
## IF YOU WANT TO OVERRIDE ONE OF THESE SETTINGS
## EDIT/CREATE THE "moviejukebox.properties" FILE IN
## YOUR ROOT YAMJ FOLDER (The one above this folder)
##
## The intention is that this file is overridden at
## each update without affecting your personal
## settings or configuration
##
######################################################
# Note:
#     The order of preference of these files is:
#         moviejukebox-default.properties
#         moviejukebox.properties
#         skin.properties
#         Command line switches
#
#     Lines in this file starting with '#' are comments.
#     Any parameter with a '#' in front of it is disabled,
#     to enable it, remove the '#' from the start of the line.

# Name of the library root folder or library xml file.
# Only used when the library root is NOT specified on the command line.
#mjb.libraryRoot=library.xml

# Name of the jukebox root folder in which the index.htm and 
# details directory will be written.
# Only used when the jukebox root is NOT specified on the command line.
#mjb.jukeboxRoot=P:/

# name of the details directory of the jukebox
mjb.detailsDirName=Jukebox

# Force the jukebox's XML files to be overwritten
mjb.forceXMLOverwrite=false

# Force the jukebox's posters thumbnails to be overwritten
mjb.forceThumbnailsOverwrite=false

# Force the jukebox's detail posters to be overwritten
mjb.forcePostersOverwrite=false

# Force the jukebox's HTML files to be overwritten
mjb.forceHTMLOverwrite=false

# Force the jukebox's Fanart files to be overwritten
mjb.forceFanartOverwrite=false

# Force the jukebox's Banner files to be overwritten
mjb.forceBannersOverwrite=false

# Force the jukebox's Video Image files to be overwritten
mjb.forceVideoImagesOverwrite=false

# Default player path for A-100 or A-110
mjb.playerRootPath=file:///opt/sybhttpd/localhost.drives/HARD_DISK/Video/
# Default Player Path for C-200 with 1 hard disk.
# For other configurations please see http://code.google.com/p/moviejukebox/wiki/NMTRootPaths
#mjb.playerRootPath=file:///opt/sybhttpd/localhost.drives/SATA_DISK/Video/


# Space separated list of extensions supported by moviejukebox
mjb.extensions=AVI DIVX MKV WMV M2TS TS RM QT ISO VOB MPG MOV MP4 M1V M2V M4V M2P TP TRP M2T MTS ASF RMP4 IMG

# Path to the skin to use when generating the Jukebox
# the default skin is geared toward HD displays
# an additional skin named "sd" is for Standard Definition displays
mjb.skin.dir=./skins/default

# Genres file used for consolidating/renaming genres
mjb.xmlGenreFile=genres.xml

# Categories file used for enabling/renaming catgories
mjb.xmlCategoryFile=categories.xml

# Number of Days a file is considered for the NEW category
# And number of movies to include
# A 0 for newdays disables the new category
# A 0 for count will be treated as unlimited
# example: mjb.newdays=30  mjb.newcount=25 (the 25 most recent movies within the last 30 days)
mjb.newdays=7
mjb.newcount=0

# Specify the IP address and port number of the MyiHome server.
# This is inserted into the JSP playlist file. If you are not using MyiHome DO NOT ENABLE this setting.
#mjb.myiHome.IP=http://192.168.2.100

# List of extensions to skip when generating a playlist
mjb.playlist.IgnoreExtensions=img,iso

# Generate multipart playlists that allows the cycling of video parts.
# Note that this may break some skins that use this feature if it is disabled.
mjb.playlist.generateMultiPart=true

# Force encoding of XBMC XML in the NFO files if not specified in standard way within XML
# Set the parameter to AUTO or remove it to turn off the forced encoding
# Example:
# mjb.forceNFOEncoding=ISO-8859-1
mjb.forceNFOEncoding=AUTO

# Exclude multi part BluRay that include more than one file
mjb.excludeMultiPartBluRay=false

# To play full BluRay disks (for C-200) set this value to true, otherwise set it false to play the largest file on the disk
mjb.playFullBluRayDisk=true

# These are the scanner tokens. You should not really need to change these unless you need specific integration with third party applications
mjb.scanner.fanartToken=.fanart
mjb.scanner.bannerToken=.banner
mjb.scanner.posterToken=_large
mjb.scanner.thumbnailToken=_small
mjb.scanner.videoimageToken=.videoimage

# The number of times to retry to download an image before aborting
mjb.imageRetryCount=3

################################################################
## Log File Parameters
# Append the run date to the log file to create a unique log file for each run
mjb.appendDateToLogFile=false

# Insert the current date/time to the start of each log message
mjb.logTimeStamp=false

# Insert the thread name to the start of each log message
# Useful for debugging log files if you need to.
mjb.logThreadName=false

################################################################
## Multi-thread processing parameters
# Only change these values if you know what you are doing.
# The number of scanning threads
mjb.MaxThreadsScan=1

# This parameter defines the number of processing threads, it defaults to the number of CPU cores
mjb.MaxThreadsProcess=1

# Altering these settings could get you banned from the source websites.
# you can enter explicit limit per host; use regexp just like in source code
mjb.MaxDownloadSlots=.*=2,.*imdb.*=2,.*google.*=10,.*yahoo.*=10,.*themoviedb.*=1,.*thetvdb.*=1,.*apple.*=2

################################################################
## Filename scanner
#
# turn ON/OFF the language detection in the filename
filename.scanner.language.detection=true

# comma separated list of case-sensitive keywords to ignore in filenames
filename.scanner.skip.keywords=LIMITED,DiAMOND,AXXO,PUKKA,iDHD,PROPER,REPACK,DSR,STV,UNRATED,RERIP,REMUX

# comma separated list of case-insensitive key phrases to count as "movie versions"
# the key phrases are also "dividers-insensitive": space in the phrase is the
# place holder for any possible separator (such as dot, underline, minus, etc.)
filename.movie.versions.keywords=directors cut,extended cut,final cut,remastered

# comma-separated list of case-insensitive keywords to count as "sources"
filename.scanner.source.keywords=HDTV,PDTV,DVDRip,DVDSCR,DSRip,CAM,R5,LINE,HD2DVD,DVD,HRHDTV,MVCD,VCD,TS,VHSRip,BluRay,HDDVD,D-THEATER,SDTV,WEBDL

# comma-separated list of case-insensitive keywords to map to a particular source
filename.scanner.source.keywords.SDTV=TVRip,PAL,NTSC
filename.scanner.source.keywords.D-THEATER=DTH,DTHEATER
filename.scanner.source.keywords.HDDVD=HD-DVD,HDDVDRIP
filename.scanner.source.keywords.BluRay=BDRIP,BLURAYRIP,BLU-RAY
filename.scanner.source.keywords.DVDRip=DVDR
filename.scanner.source.keywords.WEBDL=WEB-DL,iTunes
filename.scanner.source.keywords.DVD=DVD5,DVD9

## WARNING THESE ARE STILL BEING TESTED
filename.scanner.types=VOD,ZCD,RAR
# All files types will get VOD suffix UNLESS they are specified in another type. If they also require a VOD suffix, then add them here 
filename.scanner.types.VOD=
filename.scanner.types.ZCD=ISO,IMG,VOB,MDF,NRG,BIN
filename.scanner.types.RAR=RAR

filename.scanner.types.suffix.ZCD=zcd=2
filename.scanner.types.suffix.VOD=vod
filename.scanner.types.suffix.RAR=?playall=1
filename.scanner.types.suffix.BLURAY=zcd=2
filename.scanner.types.suffix.VIDEO_TS=zcd=2

# Library relative directory to check for nfo files if they aren't found as part of the normal scan
# Leave blank or undefined to ignore this search
# Example library path = "D:\Videos\" then this will search in "D:\Videos\NFO\"
filename.nfo.directory=NFO

# When enabled, all parent directories up to the library root are searched for NFO files
# All found nfo files are merged. Values in nfo files in deeper directories override values from directories above. 
filename.nfo.parentDirs=false

# Check to see if the NFO file has changed and force a re-scan of the movie if it is.
filename.nfo.checknewer=true

# List of keywords to determine if the file is an extra (e.g. Trailer, Bonus content, etc)
# Filename will be like: "filename [TRAILER-trailer title].avi"
filename.extras.keywords=trailer,bonus,extra

################################################################
## Poster scanner
# specifies if we should look for an existing covert art file
# Valid values are : no, moviename, fixedcoverartname 
poster.scanner.searchForExistingCoverArt=moviename

# specifies the valid extension for covert art files
# Valid values is a coma separated list of extension  
poster.scanner.coverArtExtensions=jpg,jpeg,gif,bmp,png,tbn

# If poster.scanner.searchForExistingCoverart=fixedcoverartname
# specifies the basename of the covert art file 
# examples of value : folder, covert, poster... 
#poster.scanner.fixedCoverArtName=folder

# specifies the subdirectory where to look for covertArt
# Valid values is a directory name relative to the movie file 
# comment this if the covertArt is stored in the same directory as movie
#poster.scanner.coverArtDirectory=Images

# specifies if the poster scanner should look for and use
# folder.* files if found. Warning: if you have a folder.* in your directory
# then this will use this for thumbnails for ALL videos in that folder
# This is really intended for use with TV series.
poster.scanner.useFolderImage=false

# Specifies a prioritised list of movie poster searches to look for a poster
# Each search is tried in turn until a valid poster URL is found.
poster.scanner.SearchPriority=moviedb,impawards,imdb,moviecovers,google,yahoo,motechnet

# Determines if the poster should be validated to ensure it's at least as big as the
# skin properties poster Width and Height, if not, the poster will be rejected. 
poster.scanner.Validate=true

# How close to the poster Width and Height should a match be consider for use in YAMJ
# Note this should be a whole percentage without the % sign
# E.g. 75 will match any poster that is at least 75% of the poster Width / Height
poster.scanner.ValidateMatch=75

# Determines if the poster validation should also include a check for the aspect ratio
poster.scanner.ValidateAspect=true

################################################################
## Boxed Sets parameters
#

# Generate a single index page for each series
# 'True' if found seasons should be considered as one movie in the main list and separate list for each 
# TV show (with more than one season) should be generated.
# 'False' Each season is considered as separate movie and shown in main index.
mjb.singleSeriesPage=true

# Minimum number of movies in a category in the same set before they are replaced by the set master
mjb.sets.minSetCount=2

# Only replace set movies for the set master if all movies appear in a category
mjb.sets.requireAll=false

# Comma-separated list of indexes to generate. Valid indexes include:
#  Other, Genres, Title, Rating, Year, Library, Cast, Director, Writer and Country
mjb.categories.indexList=Other,Genres,Title,Rating,Year,Library,Set

# Comma-separated list of indexes to display on the categories page.
# If blank or undefined, all categories listed in the indexList are shown.
mjb.categories.displayList=

# Minimum number of movies in an index before it shows on the categories page
mjb.categories.minCount=3

# Create set index fanart for sets. If local set fanart is found it will be used otherwise the fanart from the first video will be used.
mjb.sets.indexFanart=false

################################################################
## MediaInfo scanner
#
mediainfo.home=./mediaInfo/
# Have mediainfo pull meta data tags from media files
# This data, if enabled, will override data in the NFO file
# Valid values are: true, false
mediainfo.metadata.enable=false


################################################################
## OpenSubtitles plugin parameters
#
# the language used for downloading subtitle from opensubtitles.org
# valid languages are: alb,ara,arm,ass,bos,bul,cat,chi,hrv,cze,dan,dut,eng,est,per,fin,fre,glg,geo,ger,ell,heb,hin,hun,ice,ind,ita,jpn,kaz,kor,lav,lit,ltz,mac,may,nor,oci,pol,por,pob,rum,rus,scc,slo,slv,spa,swe,tha,tur,ukr,vie
#opensubtitles.language=

# Optional Username and Password for opensubtitles.org upload user ranking
#opensubtitles.username=
#opensubtitles.password=

# Exclude files without subtitles
mjb.subtitles.ExcludeFilesWithoutExternal=false

################################################################
## Apple Trailers plugin parameters
#
# The desired resolution of trailers from apple trailers site
# Valid resolutions are: 1080p 720p 480p 640
# Choose only one of these values, if a trailer is not found at that resolution then a lower quality one will be looked for.
# Leave this blank or commented out to disable this feature
#appletrailers.resolution=720p
# Flag for selecting download of the movie trailers (true), or streaming over the internet (false)
appletrailers.download=false
appletrailers.max=3
# Use this parameter to determine if appletrailers.trailertypes lists trailer types to include (true) or exclude (false) from being downloaded or linked to
appletrailers.typesinclude=true
# This parameter should contain the trailer types you want to download.
# Examples are: tlr, tsr, clip
appletrailers.trailertypes=tlr,clip,tsr,30sec,640w

################################################################
## Web Proxy Support
#
# These parameters should be filled in if you need to access the web through a proxy server
# These two parameters should be the ip address or dns name of the proxy and the port.
# both parameters need to be specified.
#mjb.ProxyHost=
#mjb.ProxyPort=

# These two parameters are optional, if you need to supply a username and password for the proxy server.
#mjb.ProxyUsername=
#mjb.ProxyPassword=

################################################################
## Listing plugin parameters
# Set this parameter to true to generate the listing
mjb.listing.generate=false
# The listing plugin to use
mjb.listing.plugin=com.moviejukebox.plugin.MovieListingPluginCsv
# override filename (.CSV is forced by CSV plugin)
mjb.listing.output.filename=MovieJukebox-listing
# destination defaults to mjb.jukeboxRoot unless specified here
#mjb.listing.output.destination=
# types to include; options: Movie, Trailer, TV Show or TVShow, and All (default: All)
mjb.listing.types=All
# set to true to group by type (in order specified in mjb.listing.types) (default: true)
mjb.listing.GroupByType=true
# set to true to blank common UNKNOWN values (default: true)
mjb.listing.clear.UNKNOWN=true

################################################################
## Output character encoding parameters
# Set this parameter to encode those characters in filenames
mjb.charset.unsafeFilenameChars=<>:\"/\\|?*
# Set this parameter to control the escape character used for encoding
mjb.charset.filenameEncodingEscapeChar=$

################################################################
###                                                          ###
###                 Customization Properties                 ###
###                                                          ###
###  Below here are the parameters for various language      ###
###  plugins. You should not need to change these values     ###
###                                                          ###
################################################################
# This is the fully qualified name of the plugin class implementing 
# the internet search for movies (both movies data and poster).
#
# You can replace this default class with your own in order
# to develop your customized internet search.
#
# The class must implement interface com.moviejukebox.MovieDatabasePlugin
# Make sure to modify the classpath accordingly in the moviejukebox startup script
#
# If you don't know what all this is about, DO NOT CHANGE THIS VALUE.
# Valid values are listed on this page: http://code.google.com/p/moviejukebox/wiki/Plugins
mjb.internet.plugin=com.moviejukebox.plugin.ImdbPlugin

# This is the fully qualified name of the plugin to be used for
# TV series search (for both data and posters)
# you can continue using any of the other plugins for TV series
# essentially keeping prior functionality by replacing the plugin
# below with one of the other movie plugins from above
mjb.internet.tv.plugin=com.moviejukebox.plugin.TheTvDBPlugin

################################################################
## IMDb plugin parameters
#

# Specifies the search engine to be search for IMDb ids 
# Valid values are: imdb, google, yahoo, none
imdb.id.search=imdb

# Try to find movies in IMDb "perfect match" section
# When set to true, IMDb plugin will search for "movie title (year)" in the "perfect match section"
# If found, then this entry is used. If not found, the first movie found is returned.
imdb.perfect.match=true

################################################################
## TheTVDB plugin parameters
#
# the language used for searching TheTVDB and the language to have descriptions and text translated to
# valid languages are: da,fi,nl,de,it,es,fr,pl,hu,el,tr,ru,he,ja,pt,zh,cs,sl,en,sv,no
thetvdb.language=en
# specify whether to use the DVD sort or the aired date sort
# valid values are: true, false.  true will sort by dvd episode number, false will use aired episode number
thetvdb.dvd.episodes=false

################################################################
## Filmweb plugin parameters
#
# Specifies the search engine to be search for Filmweb IDs
# Valid values are: filmweb, google, yahoo, none
filmweb.id.search=filmweb

################################################################
## Kinopoisk plugin parameters
#
# Specifies the maximum plot length
kinopoisk.plot.maxlength=400

# Specifies preferred movie rating method
# Valid values are: imdb, kinopoisk, average
kinopoisk.rating=average

################################################################
## MovieMeter plugin parameters
#
# Specifies the search engine to be search for MovieMeter IDs
# Valid values are: moviemeter, google, none
moviemeter.id.search=moviemeter
 
################################################################
## FilmDeltaSE plugin parameters
#
# Specifies the maximum plot length
filmdelta.plot.maxlength=300

# Specifies preferred movie rating method
# Valid values are: imdb, filmdelta, average
filmdelta.rating=filmdelta

# Specifies whether to download movie posters
# from cdon.se. Valid values are: true, false
filmdelta.getcdonposter=true

################################################################
## Sratim plugin parameters
#
# Specify whether to download movie subtitles
sratim.subtitle=false

# Specify whether to download only hebrew subtitles, and ignore non-hebrew versions
sratim.downloadOnlyHebrew=false

# Username for login to sratim web site - without login you are limited to 3 subtitles download per day
sratim.username=

# Password for login to sratim web site
sratim.password=

# Validation code, leave empty for first run.
# After first run, a file named 'sratim.jpg' will be created with the validation code image to enter here
sratim.code=

# value to match movie name to subtitles (in precent), 
# above this value, the plugin will take this subtitles instead of taking the best match based on FPS and source
sratim.textMatchSimilarity=0.8